org.apache.mina.util

## Class ExceptionMonitor

- java.lang.Object
- - org.apache.mina.util.ExceptionMonitor

- Direct Known Subclasses:
    DefaultExceptionMonitor

      public abstract class ExceptionMonitor
      extends Object

  Monitors uncaught exceptions. `exceptionCaught(Throwable)` is invoked when there are any uncaught exceptions.

  You can monitor any uncaught exceptions by setting `ExceptionMonitor` by calling `setInstance(ExceptionMonitor)`. The default monitor logs all caught exceptions in `WARN` level using SLF4J.

  Author:
    Apache MINA Project
  See Also:
    `DefaultExceptionMonitor`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionMonitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `exceptionCaught(Throwable cause)` Invoked when there are any uncaught exceptions.
    `static ExceptionMonitor` | `getInstance()` Returns the current exception monitor.
    `static void` | `setInstance(ExceptionMonitor monitor)` Sets the uncaught exception monitor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionMonitor

          public ExceptionMonitor()

  - ### Method Detail

    - #### getInstance

          public static ExceptionMonitor getInstance()

      Returns the current exception monitor.

    - #### setInstance

          public static void setInstance(ExceptionMonitor monitor)

      Sets the uncaught exception monitor. If `null` is specified, the default monitor will be set.
      Parameters:
        `monitor` - A new instance of `DefaultExceptionMonitor` is set if `null` is specified.

    - #### exceptionCaught

          public abstract void exceptionCaught(Throwable cause)

      Invoked when there are any uncaught exceptions.
      Parameters:
        `cause` - The caught exception

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.